# GET /lead-gen/saved-searches/:id

**Resource:** [Lead Generation](./lead-gen.md)  
**Scopes:** `lead-gen:read`  
**Write operation:** no

Get a single saved search configuration by ID.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Saved search UUID |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/lead-gen/saved-searches/7d05612a-..." \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "id": "7d05612a-...",
    "name": "Sydney Electricians",
    "search_query": "electricians",
    "location": "Sydney, NSW",
    "max_results": 100,
    "run_count": 5,
    "last_run_at": "2026-04-16T10:00:00Z",
    "last_run_search_id": "prev-search-uuid-..."
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`